Module javafx.base
Package javafx.beans.property

# Class SimpleLongProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.LongExpression
javafx.beans.property.ReadOnlyLongProperty
javafx.beans.property.LongProperty
javafx.beans.property.LongPropertyBase
javafx.beans.property.SimpleLongProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableLongValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableLongValue`, `WritableNumberValue`, `WritableValue<Number>`

Direct Known Subclasses:
  `ReadOnlyLongWrapper`

public class SimpleLongProperty extends LongPropertyBase
This class provides a full implementation of a `Property` wrapping a `long` value.

Since:
  JavaFX 2.0
See Also:
  - `LongPropertyBase`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleLongProperty()`
  The constructor of `LongProperty`
  `SimpleLongProperty(long initialValue)`
  The constructor of `LongProperty`
  `SimpleLongProperty(Object bean, String name)`
  The constructor of `LongProperty`
  `SimpleLongProperty(Object bean, String name, long initialValue)`
  The constructor of `LongProperty`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBean()`
  Returns the `Object` that contains this property.
  `String`
  `getName()`
  Returns the name of this property.

  ### Methods declared in class javafx.beans.property.LongPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class javafx.beans.property.LongProperty

  `asObject, bindBidirectional, longProperty, setValue, unbindBidirectional`

  ### Methods declared in class javafx.beans.property.ReadOnlyLongProperty

  `readOnlyLongProperty`

  ### Methods declared in class javafx.beans.binding.LongExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, intValue, longExpression, longExpression, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `subscribe`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleLongProperty

    public SimpleLongProperty()
    The constructor of `LongProperty`

  - ### SimpleLongProperty

    public SimpleLongProperty(long initialValue)
    The constructor of `LongProperty`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### SimpleLongProperty

    public SimpleLongProperty(Object bean, String name)
    The constructor of `LongProperty`
    Parameters:
      `bean` - the bean of this `LongProperty`
      `name` - the name of this `LongProperty`

  - ### SimpleLongProperty

    public SimpleLongProperty(Object bean, String name, long initialValue)
    The constructor of `LongProperty`
    Parameters:
      `bean` - the bean of this `LongProperty`
      `name` - the name of this `LongProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getBean

    public Object getBean()
    Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
    Returns:
      the containing `Object` or `null`

  - ### getName

    public String getName()
    Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
    Returns:
      the name or an empty `String`